use log::info;

/// print stats (mean, median, std, etc)
pub fn print_stats(times: Vec<u128>) {
    let mean = times.iter().sum::<u128>() as f64 / times.len() as f64;
    let median = times[times.len() / 2] as f64;
    let std = times
        .iter()
        .map(|&x| (x as f64 - mean).powi(2))
        .sum::<f64>()
        .sqrt()
        / times.len() as f64;
    info!("Stats:");
    info!("Mean: {}ms", mean);
    info!("Median: {}ms", median);
    info!("Std: {}ms", std);
}
